GXml.Enumeration.get_string – GXml-0.20 Reference Manual

# get_string

## Description:

public static string get_string (Type enumeration, int val, bool use_nick = false, bool camelcase = false) throws Error

Transform enumeration's value to its string representation.

Returns: an string representing an enumeration's value.

## Parameters:

enumeration | a GLib.Type of type GLib.Type.ENUM
val | an integer to parse an enum value of type @enumeration.
use_nick | makes to returns value's nick name in GLib.EnumClass
camelcase | makes to returns value's nick name in GLib.EnumClass as camel case representation. If @use_nick is set this take no effect.